Pop, Rock
This Will Haunt MeDollar Signs
US 2018 (A-F Records AF-311)Винил. Пластинка; LP; Альбом; Лимитированное издание
Rock
Deconstructive SurgeryThe Chisel
UK 2020 (La Vida Es Un Mus MUS220)Винил. Пластинка; 7"; 45 RPM; EP
Love Keeps KickingMartha
UK 2019 (Big Scary Monsters BSM249V)Винил. Пластинка; LP; Альбом; Лимитированное издание
UtgardEnslaved
Europe 2020 (Nuclear Blast 27361 53271)Винил. Пластинка; LP; Альбом; Лимитированное издание
Where's The PleasurePoison Girls
US 2016 (Water Wing Records WW16)Винил. Пластинка; LP; Альбом; Лимитированное издание
This Place You KnowOne Step Closer
US 2022 (Run For Cover Records (2) RFC228)Винил. Пластинка; LP; Альбом; Лимитированное издание
Sure Look ItAn Slua
USA & Europe 2026 (Longshot Music LSM12033)Винил. Пластинка; LP; 45 RPM; Лимитированное издание
I'm Alright Jack And The Bean StalkThe Damned
Europe 2025 (Radiation Reissues RRS255)Винил. Пластинка; LP; Альбом; Record Store Day
Don't Leave Me AloneSupergrass
UK, Europe & US 2026 (BMG 964217941)Винил. Пластинка; 12"; 45 RPM; Record Store Day
Dark SuperstitionGatecreeper
USA & Europe 2024 (Nuclear Blast NBR7223)Винил. Пластинка; LP; Альбом; Лимитированное издание
Primitive Man / Northless SplitNorthless, Primitive Man
US 2016 (Halo Of Flies HALO82)Винил. Пластинка; 12"; EP; Лимитированное издание
Glitter In The GutterJesse Malin
US 2022 (Wicked Cool Records WKC-93849-1)Винил. Пластинка; LP; Альбом; Лимитированное издание
Toward The SunGarganjua
UK 2020 (Holy Roar Records HRR327V)Винил. Пластинка; LP; Лимитированное издание
Hip Hop
Freestyles Volume 2 - Off The TopAbdominal
Canada 2005 (Course Of Study none)CDr; Альбом; Лимитированное издание
Swan LakeCindy
UK 2024 (Tough Love Records TLV-173)Винил. Пластинка; 12"; 45 RPM; EP
Like Dying Stars, We're reaching Outrunnner
USA, Canada & Europe 2023 (Run For Cover Records (2) RFC254)Винил. Пластинка; LP; Альбом; Лимитированное издание
Bad Dream JaguarSun June
US 2023 (Run For Cover Records (2) RFC-265)Винил. Пластинка; 12"; 33 ⅓ RPM; Альбом
Fly-Blown & Maggot Riddled: A Selection Of Audible Chunks From The M.S.O. ArchivesMaggot Slayer Overdrive
UK 2023Винил. Пластинка; LP; Альбом; Лимитированное издание
Bringing Home The BaitLive Skull
France 2013 (Desire Records (4) DSR057LP)Винил. Пластинка; LP; Альбом; Лимитированное издание
Live In HollandThe Varukers
UK 1985 (Rot Records DUTCH ONE)Винил. Пластинка; LP; Альбом; Лимитированное издание
Fate: The Best Of DeathDeath
USA, Canada & Europe 2023 (Relapse Records RR4878)Винил. Пластинка; LP; Record Store Day; Сборник
Jazz, Rock
NemestaТДК
UK 2023 (Repose Records REPOSE067)Винил. Пластинка; LP; Альбом; Лимитированное издание
Electronic
Over DepthFret
Germany 2017 (Karlrecords KR047)Винил. Пластинка; LP; Альбом; Лимитированное издание
Electronic, Pop
UnrealitySRSQ
US 2018 (Dais Records DAIS119)Винил. Пластинка; LP; Альбом; Лимитированное издание
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.